#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
%bcond_without	python2		# Python 2 package
%bcond_without	python3		# Python 3 package

%define		module	lxml
Summary:	Python 2 binding for the libxml2 and libxslt libraries
Summary(pl.UTF-8):	Wiązanie Pythona 2 do bibliotek libxml2 i libxslt
Name:		python-%{module}
Version:	3.4.0
Release:	3
License:	BSD
Group:		Libraries/Python
Source0:	http://lxml.de/files/%{module}-%{version}.tgz
# Source0-md5:	bc90cc4e4ee04e1f8290ae0f70e34eea
URL:		http://lxml.de/
BuildRequires:	libxml2-devel >= 1:2.7.8
BuildRequires:	libxslt-devel >= 1.1.26
%if %{with python2}
BuildRequires:	python-devel >= 1:2.6
BuildRequires:	python-modules >= 1:2.6
%endif
%if %{with python3}
BuildRequires:	python3-Cython > 0.17
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-modules >= 1:3.2
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
lxml is a Pythonic binding for the libxml2 and libxslt libraries.

%description -l pl.UTF-8
lxml to pythonowe wiązanie do bibliotek libxml2 i libxslt.

%package -n python3-%{module}
Summary:	Python 3 binding for the libxml2 and libxslt libraries
Summary(pl.UTF-8):	Wiązanie Pythona 3 do bibliotek libxml2 i libxslt
Group:		Libraries/Python

%description -n python3-%{module}
lxml is a Pythonic binding for the libxml2 and libxslt libraries.

%description -n python3-%{module} -l pl.UTF-8
lxml to pythonowe wiązanie do bibliotek libxml2 i libxslt.

%package apidocs
Summary:	lxml API documentation
Summary(pl.UTF-8):	Dokumentacja API modułu lxml
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
lxml API documentation.

%description apidocs -l pl.UT8-8
Dokumentacja API modułu lxml.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%{__python} setup.py build
%endif
%if %{with python3}
%{__python3} setup.py build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%{__python} setup.py \
	install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean
%endif

%if %{with python3}
%{__python3} setup.py \
	install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2
%endif

# cleanup for packaging
rm -rf docs
cp -a doc docs
# apidocs packaged separately
rm -rf docs/html
# build docs not useful at runtime
rm docs/build.txt
# common licenses
rm docs/licenses/{BSD,GPL}.txt

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc docs/* CHANGES.txt CREDITS.txt LICENSES.txt README.rst TODO.txt
%dir %{py_sitedir}/lxml
%{py_sitedir}/lxml/*.py[co]
%{py_sitedir}/lxml/lxml.etree*.h
%{py_sitedir}/lxml/includes
%{py_sitedir}/lxml/isoschematron
%dir %{py_sitedir}/lxml/html
%{py_sitedir}/lxml/html/*.py[co]
%attr(755,root,root) %{py_sitedir}/lxml/etree.so
%attr(755,root,root) %{py_sitedir}/lxml/objectify.so
%{py_sitedir}/lxml-*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc docs/* CHANGES.txt CREDITS.txt LICENSES.txt README.rst TODO.txt
%dir %{py3_sitedir}/lxml
%attr(755,root,root) %{py3_sitedir}/lxml/etree.cpython-*.so
%attr(755,root,root) %{py3_sitedir}/lxml/objectify.cpython-*.so
%{py3_sitedir}/lxml/*.py
%{py3_sitedir}/lxml/__pycache__
%{py3_sitedir}/lxml/lxml.etree*.h
%{py3_sitedir}/lxml/includes
%{py3_sitedir}/lxml/isoschematron
%{py3_sitedir}/lxml/html
%{py3_sitedir}/lxml-*.egg-info
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doc/html/*
%endif
%changelog
* Wed May 27 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/python-lxml.git;a=log;h=master

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 6837b9f
- x32 rebuild
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 5e4821c
- python 3.4
- release 2 (by relup.sh)

* Sun Sep 14 2014 Jakub Bogusz <qboosh@pld-linux.org> 218fb62
- updated python versions (now 2.6+/3.2+ required)

* Wed Sep 10 2014 Jan Palus <atler@pld-linux.org> 33eba64
- up to 3.4.0

* Sat Aug 30 2014 Jan Palus <atler@pld-linux.org> 407df82
- up to 3.3.6

* Sat Jul 05 2014 Jan Palus <atler@pld-linux.org> a405627
- up to 3.3.5

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> 5f407b1
- noarch apidocs

* Fri Mar 07 2014 Jakub Bogusz <qboosh@pld-linux.org> aea701c
- updated to 3.3.3

* Fri Feb 28 2014 Jakub Bogusz <qboosh@pld-linux.org> 5ce1aa1
- updated to 3.3.2

* Fri Feb 14 2014 Jakub Bogusz <qboosh@pld-linux.org> 4fa5294
- updated to 3.3.1

* Sun Feb 09 2014 Jakub Bogusz <qboosh@pld-linux.org> f223091
- updated to 3.3.0
- removed obsolete add-handle_failures-option-to-make_links_absolute-to patch

* Sat Jan 04 2014 Łukasz Kieś <kiesiu@pld-linux.org> cb8d438
- updated to 3.2.5

* Mon Nov 25 2013 Mateusz Korniak <matkor@pld-linux.org> 6ada93d
- Release 2. Patch for https://bugs.launchpad.net/lxml/+bug/1250557 added.

* Thu Nov 14 2013 Jakub Bogusz <qboosh@pld-linux.org> c0e9fb3
- package includes (should go to -devel?) and more docs
- unified descriptions, versioned BRs

* Fri Nov 08 2013 Mateusz Korniak <matkor@pld-linux.org> 9159146
- Version 3.2.4-1.

* Sun Jul 07 2013 Elan Ruusamäe <glen@delfi.ee> b3307c8
- rebuild without py2 specific pythonegg() provides
- release 2 (by relup.sh)

* Sat Nov 24 2012 wrobell <wrobell@pld-linux.org> 339d462
- ver. 3.0.1

* Wed Nov 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 72fa0a5
- release 2 (by relup.sh)

* Tue Jul 31 2012 Mateusz Korniak <matkor@pld-linux.org> bfef698
- Version 2.3.5-1.

* Sat Jun 02 2012 Caleb Maclennan <caleb@alerque.com> 2812a3c
- Up to 2.3.4

